Bug 22516 - accountlines.lastincrement can be removed
Summary: accountlines.lastincrement can be removed
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Martin Renvoize
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on: 14591 21683
Blocks: 14825
  Show dependency treegraph
 
Reported: 2019-03-14 17:07 UTC by Martin Renvoize
Modified: 2019-04-01 13:58 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22516: Remove remaining calls to lastincrement (6.67 KB, patch)
2019-03-15 08:43 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22516: Database update (1.77 KB, patch)
2019-03-15 08:43 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22516: Remove remaining calls to lastincrement (6.69 KB, patch)
2019-03-15 10:35 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22516: Database update (1.77 KB, patch)
2019-03-15 10:35 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22516: Remove remaining calls to lastincrement (6.76 KB, patch)
2019-03-18 12:43 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 22516: Database update (1.84 KB, patch)
2019-03-18 12:43 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 22516: Remove remaining calls to lastincrement (6.84 KB, patch)
2019-03-22 11:26 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 22516: Database update (1.92 KB, patch)
2019-03-22 11:26 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2019-03-14 17:07:53 UTC
Bug 14591 will remove the last use case for 'lastincrement', we should remove this field from the database once that bug is pushed.
Comment 1 Martin Renvoize 2019-03-15 08:43:55 UTC
Created attachment 86637 [details] [review]
Bug 22516: Remove remaining calls to lastincrement

A few places still set lastincrement and the tests still checked for
correct values. But nowhere in the code still uses lastincrement for
anything meaningful.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 2 Martin Renvoize 2019-03-15 08:43:58 UTC
Created attachment 86638 [details] [review]
Bug 22516: Database update

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 3 Martin Renvoize 2019-03-15 08:45:19 UTC
Test plan.. in reality this shouldn't affect anything as the real testing of functionality will have happened in bug 14591. So.. test plan is to simply run the affected tests and make sure they are still passing.
Comment 4 Martin Renvoize 2019-03-15 10:35:28 UTC
Created attachment 86662 [details] [review]
Bug 22516: Remove remaining calls to lastincrement

A few places still set lastincrement and the tests still checked for
correct values. But nowhere in the code still uses lastincrement for
anything meaningful.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2019-03-15 10:35:31 UTC
Created attachment 86663 [details] [review]
Bug 22516: Database update

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 6 Kyle M Hall 2019-03-18 12:43:17 UTC
Created attachment 86712 [details] [review]
Bug 22516: Remove remaining calls to lastincrement

A few places still set lastincrement and the tests still checked for
correct values. But nowhere in the code still uses lastincrement for
anything meaningful.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 7 Kyle M Hall 2019-03-18 12:43:26 UTC
Created attachment 86713 [details] [review]
Bug 22516: Database update

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 8 Marcel de Rooy 2019-03-22 11:26:17 UTC
Created attachment 86888 [details] [review]
Bug 22516: Remove remaining calls to lastincrement

A few places still set lastincrement and the tests still checked for
correct values. But nowhere in the code still uses lastincrement for
anything meaningful.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 9 Marcel de Rooy 2019-03-22 11:26:21 UTC
Created attachment 86889 [details] [review]
Bug 22516: Database update

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 10 Marcel de Rooy 2019-03-22 11:27:22 UTC
@RM: DBIx update !
Comment 11 Nick Clemens 2019-03-28 18:19:42 UTC
Awesome work all!

Pushed to master for 19.05
Comment 12 Martin Renvoize 2019-04-01 13:58:21 UTC
Enhancement, will not be backported to 18.11.x series.